Name:		ocaml-camlzip
Version:	1.05
Release:	%mkrel 8
Summary:	Reading and writing ZIP, JAR and GZIP files
License:	LGPLv2 with exceptions
Group:		Development/OCaml
URL:            http://forge.ocamlcore.org/projects/camlzip/
Source0:        http://forge.ocamlcore.org/frs/download.php/1037/camlzip-%{version}.tar.gz
Patch1:		test-makefile.dpatch
Patch2:		uncompress.dpatch
BuildRequires:	ocaml
BuildRequires:	ocaml-findlib
BuildRequires:	zlib-devel

%description
This Objective Caml library provides easy access to compressed files in ZIP
and GZIP format, as well as to Java JAR files. It provides functions for
reading from and writing to compressed files in these formats.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	zlib-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n camlzip-%{version}
%autopatch -p1

%build
%make depend
%make all allopt
mkdir -p doc
ocamldoc -colorize-code -html gzip.mli zip.mli zlib.mli -d doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
install -d -m 755 $OCAMLFIND_DESTDIR/stublibs
install -d -m 755 $OCAMLFIND_DESTDIR/zip
make install-findlib

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/zip
%{_libdir}/ocaml/zip/*.cmi
%{_libdir}/ocaml/zip/*.cma
%{_libdir}/ocaml/zip/META
%{_libdir}/ocaml/stublibs/dllcamlzip.so*

%files devel
%doc test doc
%{_libdir}/ocaml/zip/*.a
%{_libdir}/ocaml/zip/*.cmxa
%{_libdir}/ocaml/zip/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.05-8.mga6
+ Revision: 1056272
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.05-7.mga6
+ Revision: 930817
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.05-6.mga5
+ Revision: 746372
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.05-5.mga5
+ Revision: 683003
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.05-4.mga4
+ Revision: 536412
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.05-3.mga4
+ Revision: 484222
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.05-2.mga3
+ Revision: 361206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.05-1.mga3
+ Revision: 319811
- updated to last version 1.05

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.04-10.mga3
+ Revision: 301642
- new rpm group for ocaml
- new rpm group for ocaml
- update to new ocamlforge location for the homepage
- update to new ocamlforge location

* Sun Oct 02 2011 fwang <fwang> 1.04-8.mga2
+ Revision: 150881
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.04-7.mga1
+ Revision: 82385
- clean spec file
- imported package ocaml-camlzip


* Thu Sep 10 2009 Florent Monnier <blue_prawn@mandriva.org> 1.04-7mdv2010.0
+ Revision: 436253
- rebuild
- consistency naming with Debian and Fedora

* Sat Aug 22 2009 Florent Monnier <blue_prawn@mandriva.org> 1.04-6mdv2010.0
+ Revision: 419718
- increm mkrel
- corrected the license field

* Sat Aug 22 2009 Florent Monnier <blue_prawn@mandriva.org> 1.04-5mdv2010.0
+ Revision: 419580
- patch for plain_uncompress function from debian by Sven Luther
- added a patch for the makefile of the tests
- added test dir, with patched makefile (patch from debian by Samuel Mimram)
  generating html doc

* Sat Aug 22 2009 Florent Monnier <blue_prawn@mandriva.org> 1.04-4mdv2010.0
+ Revision: 419488
- added missing files zlib.cmi / zlib.mli
  modified the install dir, to align on fedora, debian and upstream

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-3mdv2010.0
+ Revision: 389923
- rebuild

* Thu Jan 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-2mdv2009.1
+ Revision: 327123
- site-lib hierarchy doesn't exist anymore

  + Florent Monnier <blue_prawn@mandriva.org>
    - findlib package name

* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.1
+ Revision: 317101
- new version
- move all non-devel files into main package (Florent Monnier <fmonnier@linux-nantes.org>)

* Tue Dec 09 2008 Pixel <pixel@mandriva.com> 1.03-8mdv2009.1
+ Revision: 312252
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.03-7mdv2009.0
+ Revision: 254187
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-5mdv2008.1
+ Revision: 178364
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-4mdv2008.0
+ Revision: 77659
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Fri Jun 22 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.03-3mdv2008.0
+ Revision: 43333
- build 'allopt' too

* Tue Jun 19 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.03-2mdv2008.0
+ Revision: 41275
- rebuild

* Fri Apr 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2008.0
+ Revision: 18545
- Import ocaml-camlzip



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2008.0
- first mdv release
